from __future__ import annotations
from typing import Any
from enum import IntEnum
from enum import auto

class WebDAVHTTPMethod(IntEnum):
    GET = auto()
    HEAD = auto()
    POST = auto()
    PUT = auto()
    DELETE = auto()
    TRACE = auto()
    OPTIONS = auto()
    CONNECT = auto()
    PATCH = auto()
    PROPFIND = auto()
    PROPPATCH = auto()
    MKCOL = auto()
    COPY = auto()
    MOVE = auto()
    LOCK = auto()
    UNLOCK = auto()
